#include <iostream>
#include <fstream>
#include "allegroall.h"
#include <stdio.h>

using namespace std;

#ifndef LOG_H_INCLUDED
#define LOG_H_INCLUDED



class LogFileClass {
  protected:
    ofstream file;
  public:
    LogFileClass(std::string filename) {
      file.open (filename.c_str(), ios::out);
    }
    void LogMessage(std::string filename) {
      file << (filename + "\n");
      file.flush();
      cout << (filename + "\n");
    }
    ~LogFileClass() {file.close();}
};

extern LogFileClass *GlobalLog;

void Notification(std::string message);
void Notification(char *str);
void Warning(std::string message);
void Warning(char *str);
void Error(std::string message);
void Error(char *str);

void CreateLog();
void CloseLog();


bool FileExists(char *str);
bool FileExists(std::string str);


#endif
